

Patch from Dave McCracken <dmccr@us.ibm.com>

Page accounting fix.


 mm/rmap.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN mm/rmap.c~objrmap-nr_mapped-fix mm/rmap.c
--- 25/mm/rmap.c~objrmap-nr_mapped-fix	Thu Feb 27 14:26:25 2003
+++ 25-akpm/mm/rmap.c	Thu Feb 27 14:26:25 2003
@@ -248,6 +248,8 @@ page_add_rmap(struct page *page, pte_t *
 			BUG();
 		if (PageSwapCache(page))
 			BUG();
+		if (atomic_read(&page->pte.mapcount) == 0)
+			inc_page_state(nr_mapped);
 		atomic_inc(&page->pte.mapcount);
 		return pte_chain;
 	}

_
